Словари Lingvo 7.0 и ниже

  • 4,8K Просмотров
  • Последнее сообщение 10 января 2007 08:42
NEMAN (LingvoDa) написал 09 января 2007 07:12

Всем сдрасте.
Не подскажете, что делать, если Компилятор не хочет компилировать словари,
мотивируя это тем, что они формата "Lingvo 7.0 и ниже"

Сортировка: Стандарт | Новые | Голоса
Vitaly (LingvoDa) написал 10 января 2007 05:15

Это значит, что Вы на самом деле пытаетесь подключить словари, созданные для более поздной версии Лингво, к более старой. Чтобы подключить словарь, Вам нужно либо найти его исходники (DSL-файл) и скомплировать их под Вашу версию, либо декомпилировать LSD-файл, чтобы получить эти самые исходники. См. также http://forum.ru-board.com/topic.cgi?forum=93&bm=1&topic=1623#1 (нужна регистрация)

NEMAN (LingvoDa) написал 10 января 2007 01:51

Спасибо Vitaly,
Однако, заметьте, что "декомпилировать LSD-файл" - значит нарушить авторские права.
Хотя кому какое дело

Vitaly (LingvoDa) написал 10 января 2007 04:48

Способ такой есть, а вот пользоваться им или нет - Ваше личное дело

jardic написал 10 января 2007 04:56

NEMAN
Однако, заметьте, что "декомпилировать LSD-файл" - значит нарушить авторские права...
Отнюдь. Статья 25.2 Закона об авторском праве применительно к вашей ситуации недвусмысленно разрешает это сделать

Klaus-Peter (LingvoDa) написал 10 января 2007 08:42

Тоже думаю, что данный подход справедлив. Вы спокойно могли бы подключить словари версий 7 и 8 (форма одинаков) к Лингво 9, а словари к 10 версией и т.д. без нарушения каких-то лиц. условий - ведь они в этом случае автоматически преобразуются. Заменить эти словари одним махом с помощью декомпилятора/подходящего компилятора - это в принципе то же самое. Я здесь о пользовательских словаря говорю, а для штатных этот прием не нужен, т.к. мне кажется, что они все есть и в более свежих версиях Лингво в улученном виде.

Close